/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.RightSplit;

import java.math.BigDecimal;
import java.sql.Date;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record6;
import org.jooq.Row6;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class RightSplitRecord extends UpdatableRecordImpl<RightSplitRecord> implements Record6<Long, String, String, Date, BigDecimal, BigDecimal> {

    private static final long serialVersionUID = 1811493437;

    /**
     * Setter for <code>RIGHT_SPLIT.ID</code>.
     */
    public void setId(Long value) {
        set(0, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.ID</code>.
     */
    public Long getId() {
        return (Long) get(0);
    }

    /**
     * Setter for <code>RIGHT_SPLIT.COUNTRY</code>.
     */
    public void setCountry(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.COUNTRY</code>.
     */
    public String getCountry() {
        return (String) get(1);
    }

    /**
     * Setter for <code>RIGHT_SPLIT.ID_UTILIZATION_TYPE</code>.
     */
    public void setIdUtilizationType(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.ID_UTILIZATION_TYPE</code>.
     */
    public String getIdUtilizationType() {
        return (String) get(2);
    }

    /**
     * Setter for <code>RIGHT_SPLIT.VALID_FROM</code>.
     */
    public void setValidFrom(Date value) {
        set(3, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.VALID_FROM</code>.
     */
    public Date getValidFrom() {
        return (Date) get(3);
    }

    /**
     * Setter for <code>RIGHT_SPLIT.DEM</code>.
     */
    public void setDem(BigDecimal value) {
        set(4, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.DEM</code>.
     */
    public BigDecimal getDem() {
        return (BigDecimal) get(4);
    }

    /**
     * Setter for <code>RIGHT_SPLIT.DRM</code>.
     */
    public void setDrm(BigDecimal value) {
        set(5, value);
    }

    /**
     * Getter for <code>RIGHT_SPLIT.DRM</code>.
     */
    public BigDecimal getDrm() {
        return (BigDecimal) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record6 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Long, String, String, Date, BigDecimal, BigDecimal> fieldsRow() {
        return (Row6) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Long, String, String, Date, BigDecimal, BigDecimal> valuesRow() {
        return (Row6) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field1() {
        return RightSplit.RIGHT_SPLIT.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return RightSplit.RIGHT_SPLIT.COUNTRY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return RightSplit.RIGHT_SPLIT.ID_UTILIZATION_TYPE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Date> field4() {
        return RightSplit.RIGHT_SPLIT.VALID_FROM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field5() {
        return RightSplit.RIGHT_SPLIT.DEM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field6() {
        return RightSplit.RIGHT_SPLIT.DRM;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getIdUtilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Date component4() {
        return getValidFrom();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component5() {
        return getDem();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component6() {
        return getDrm();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getIdUtilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Date value4() {
        return getValidFrom();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value5() {
        return getDem();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value6() {
        return getDrm();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value1(Long value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value2(String value) {
        setCountry(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value3(String value) {
        setIdUtilizationType(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value4(Date value) {
        setValidFrom(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value5(BigDecimal value) {
        setDem(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord value6(BigDecimal value) {
        setDrm(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public RightSplitRecord values(Long value1, String value2, String value3, Date value4, BigDecimal value5, BigDecimal value6) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached RightSplitRecord
     */
    public RightSplitRecord() {
        super(RightSplit.RIGHT_SPLIT);
    }

    /**
     * Create a detached, initialised RightSplitRecord
     */
    public RightSplitRecord(Long id, String country, String idUtilizationType, Date validFrom, BigDecimal dem, BigDecimal drm) {
        super(RightSplit.RIGHT_SPLIT);

        set(0, id);
        set(1, country);
        set(2, idUtilizationType);
        set(3, validFrom);
        set(4, dem);
        set(5, drm);
    }
}
